/*
Theme Name: Puleva
Description: Tema hijo de Hello Elementor para Puleva
Author: Trevenque
Template: hello-elementor
Version: 1.0.0
*/

/* redefinimos algunas variables aquí también */
:root {
    --brand-color: #003676;
}
/* header */
.nav-header {
    position: sticky;
    z-index: 1;
    top: 0;
}

.shadow-cards {
     box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
     border-radius: 8px;
}
body [data-elementor-type="header"] {
    position: sticky;
    top: 0;
    z-index: 10;
    transition: box-shadow 0.3s ease, background-color 0.3s ease, margin-left 0.3s ease, margin-right 0.3s ease;
    
    .e-con.e-flex>.e-con-inner {
        padding-bottom: 0;
        padding-top: 0;
        margin-top: 16px;
        transition: margin-top 0.3s ease;
    }
    
    header {
        transition: padding-top 0.3s ease, padding-bottom 0.3s ease;
        
        .e-con-inner > div {
            transition: border-radius 0.3s ease, box-shadow 0.3s ease;
        }
    }
}
@media(max-width: 767.98px) {
	body [data-elementor-type="header"] .e-con.e-flex>.e-con-inner {
        margin-top: 8px !important;
    }
}
/*
body [data-elementor-type="header"] + div > *:first-child {
    padding-top: 180px !important;
    margin-top: -90px;
}
*/
.brand-logo {
    position: relative;
}

.brand-logo > div {
    position: absolute;
    left: -80px;
    top: -26px;
    width: 160px !important;
    height: 80px !important;
    padding-bottom: 20px;
}

.brand-logo > div {
    background-color: #ffffff;
    padding-bottom: 8px;
    border-radius: 100%;
    box-shadow: 0px 20px 20px 0px rgba(0, 0, 0, 0.02);
}
@media(min-width: 992px) {
	.brand-logo svg{
		height: 114px !important;
    	top: -4px;
		
	}
	body .brand-logo > div.elementor-widget-container {
	  width: 207px !important;
	  height: 120px !important;
		left: -108px !important;
	}
}
/* transición full with menú a los 200px */
body .nav-menu-full-with {
    box-shadow: 0px 7px 20px 0px rgba(0, 0, 0, 0.1);
    background-color: #fff;
    
    header {
        
        padding-top: 0;
        padding-bottom: 0;
        
        .e-con-inner > div {
            border-radius: 0;
            box-shadow: none !important;
        }
    }
    
    .e-con.e-flex>.e-con-inner {
        margin-top: 0;
    }
}

/* listado de post */
.grid-post-blog .elementor-loop-container.elementor-grid {
  * {
    text-wrap: balance;
  }
  
}
@media (min-width: 500px) {
  .grid-post-blog .elementor-loop-container.elementor-grid {
    grid-template-columns: repeat(auto-fill, minmax(370px, 1fr));
  }
}

/* utility imgs */
.img-4-3 img {
    aspect-ratio: 4 / 3;
    object-fit: cover;
}
.img-1-1 img {
    aspect-ratio: 1 / 1;
    object-fit: cover;
}
.mix-blend-mode-darken {
    mix-blend-mode: darken;
}

/* text ux */
h1, h2, h3, h4 {
    text-wrap: balance;
}
p {
    text-wrap: pretty;
}
.gradient-lactalis {
    background: radial-gradient(ellipse at top right, 
        #029ed9 0%, 
        #4dbce2 5%, 
        #80d0e8 10%, 
        #b3e4ee 20%, 
        #d9f2f7 25%, 
        rgba(255, 255, 255, 1) 50%
    );
}
html {
  scroll-padding-top: calc(100px);
}

/* especíicos de producto */
.main-product-info {
    list-style: none;
    padding: 0;
    margin: 0;
    display: inline-flex;
    flex-direction: column;
    gap: 0.50rem;
    li {
        font-size: 0.80rem;
        color: var(--e-global-color-primary);
        font-weight: 500;
        span {
            background-color: #eff2f7;
            border-radius: 8px;
            display: inline-block;
            padding: 4px 10px;
        }
    }
}

/* Tarjeta de articulos relacionados dentro de producto */
.article-card {
    margin-top: 14px;
    margin-bottom: 14px;
    padding: 1.5rem 1.5rem 1rem 1.5rem;
    width: 100%;
    box-shadow: 0px 4px 6px 3px rgba(0, 0, 0, 0.07);
    border-radius: 10px;
    transition: all ease-in-out 300ms;

    a {
        transition: all 300ms ease-in-out;
    }
    .article-picture-card {
        margin-left: -1.5rem;
        overflow: hidden;
        margin-right: -1.5rem;
        margin-top: -1.5rem;
        width: calc(100% + 3rem); 
        display: block;
        
        position: relative;
        span {
            position: absolute;
            left: 12px;
            top: 12px;
            font-size: 0.85rem;
            font-weight: 500;
            background-color: rgba(255, 255, 255, 0.99);
            padding: 0px 12px;
            border-radius: 8px;
            line-height: 24px;
            height: 24px;
        }
        img {
            border-bottom-left-radius: 0px;
            border-bottom-right-radius: 0px;
            aspect-ratio: 4 / 3;
            object-fit: cover;
            transition: all 3000ms ease-in-out;
        }
    }
    h3.title-card {
        font-size: clamp(1.125rem, 3vw, 1.44rem);
        display: -webkit-box;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: 3;
        overflow: hidden;
        text-overflow: ellipsis;
        width: 100%;
        word-break: break-word;
        overflow-wrap: break-word;
        line-height: 1.3;
        min-height: calc(1.3em * 3);
    }
    .metas {
        border-top: 1px solid #0036760D;
        font-size: 0.85rem;
        padding-top: 0.5rem;
        margin-top: 0.5rem;
    }
    p.excerpt-card {
        margin: 0;
        display: -webkit-box;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: 4;
        overflow: hidden;
        text-overflow: ellipsis;
        width: 100%;
        word-break: break-word;
        overflow-wrap: break-word;
    }
    &:hover img {
        transform: scale(1.25);
    }
}
.puleva-swipper {
    padding-bottom: 48px;
    --swiper-theme-color: var(--brand-color);
    --swiper-pagination-bullet-size: 14px;
    --swiper-pagination-bullet-horizontal-gap: 6px;

    .swiper-button-next, .swiper-button-prev {
        width: 48px;
        height: 48px;
        border: 1px solid;
        padding: 10px;
        border-radius: 50%;
        color: var(--brand-color); 
        margin-top: -100px;
    }
    .swiper-button-next:after, .swiper-button-prev:after {
        font-size: 24px;
        font-weight: bold;
    }
    .swiper-button-next.swiper-button-disabled, .swiper-button-prev.swiper-button-disabled {
        opacity: 0;
        visibility: hidden; 
        pointer-events: none;
    }
    .swiper-wrapper {
        padding-bottom: 32px;
    }
}

.section-envases {
    width: 100%;
}
/* fix elementor */
body {
    width: 100vw;
    overflow-x: hidden;
}
/* fix hotspot responsive */
 button.hotspot-close-btn {
    display: none;
 }
@media(max-width: 767px) {
    body .e-hotspot--icon .e-hotspot__tooltip {
        opacity: 0 !important;
        display: none;
    }
    body .e-hotspot--icon.e-hotspot--active-fix .e-hotspot__tooltip, .e-hotspot--active.e-hotspot--active-fix .e-hotspot__tooltip {
        opacity: 1 !important; 
        background-color: !important;
        left: 0% !important;
        right: 0% !important;
        margin: 0 !important;
        top: 0 !important;
        transform-origin: 0 !important;
        max-width: 270px !important;
        width: 270px !important;
        transform: translateX(-50%);
        display: block;
    }
    body .e-hotspot--icon.e-hotspot--active-fix {
        left: 50% !important;
        right: auto !important;
        transform: none !important;
    }
    
    button.hotspot-close-btn {
        display: block;
        background-color: transparent !important;
        border: none !important;
        color: var(--brand) !important;
        font-size: 40px !important;
        padding: 0 !important;
        position: absolute;
        right: 20px;
        top: 20px;
        line-height: 20px;
        width: 48px;
        height: 48px;
    }
    
}

.js-breadcrumb.is-hidden {
  display: none; 
}

.card-product .elementor-heading-title {
    text-wrap: balance;
}